Bug#761837: xastir: Please update to new upstream 2.0.6

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

Iain R. Learmonth-2
Package: xastir
Version: 2.0.4-2
Severity: normal

Dear Maintainer,

A new upstream version has been release, 2.0.6.

Please update the xastir package to the new upstream version.

Thanks,
Iain.

-- System Information:
Debian Release: 7.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

David A Aitcheson
Iain,

Already being worked on; just a few nagging details that need to be fixed in the CVS.

Also this release is actually the 2.0.7 version.

For BEST results it is strongly suggested that Xastir be installed from CVS and then to update just run the included "update-xastir" script which updat
es from CVS and automatically does the make and install with very little needed  from the user save for entering a password.

73
Dave
KB3EFS

On 09/16/14 07:19, Iain R. Learmonth wrote:
Package: xastir
Version: 2.0.4-2
Severity: normal

Dear Maintainer,

A new upstream version has been release, 2.0.6.

Please update the xastir package to the new upstream version.

Thanks,
Iain.

-- System Information:
Debian Release: 7.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



--
David A Aitcheson [hidden email] Go Green! Print this email only when necessary.
Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

Iain R. Learmonth-2
Hi David,

On Tue, Sep 16, 2014 at 07:31:57AM -0400, David A Aitcheson wrote:
> Already being worked on; just a few nagging details that need to be
> fixed in the CVS.

Brilliant news! Thanks for your work on this.

> Also this release is actually the 2.0.7 version.

uscan gave 2.0.6 as the latest version. Possibly a problem with the d/watch
file.

> For BEST results it is strongly suggested that Xastir be installed from
> CVS and then to update just run the included "update-xastir" script
> which updates from CVS and automatically does the make and install with
> very little needed  from the user save for entering a password.

This does seem to be the case with a lot of ham radio software, but I like
to keep "local installs" on my system as few as possible.

Is there any particular reason for this with Xastir?

Thanks,
Iain.

--
e: [hidden email]            w: iain.learmonth.me
x: [hidden email]     t: +447875886930
c: MM6MVQ                  g: IO87we
p: 1F72 607C 5FF2 CCD5 3F01 600D 56FF 9EA4 E984 6C49

attachment0 (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

David A Aitcheson
In reply to this post by David A Aitcheson
Iain,

I just ran the "update-xastir" script and the CVS is now installing
Version 2.0.7

Dave


On 09/16/14 07:31, David A Aitcheson wrote:

> Iain,
>
> Already being worked on; just a few nagging details that need to be
> fixed in the CVS.
>
> Also this release is actually the 2.0.7 version.
>
> For BEST results it is strongly suggested that Xastir be installed from
> CVS and then to update just run the included "update-xastir" script
> which updates from CVS and automatically does the make and install with
> very little needed  from the user save for entering a password.
>
> 73
> Dave
> KB3EFS
>
> On 09/16/14 07:19, Iain R. Learmonth wrote:
>> Package: xastir
>> Version: 2.0.4-2
>> Severity: normal
>>
>> Dear Maintainer,
>>
>> A new upstream version has been release, 2.0.6.
>>
>> Please update the xastir package to the new upstream version.
>>
>> Thanks,
>> Iain.
>>
>> -- System Information:
>> Debian Release: 7.6
>>   APT prefers stable-updates
>>   APT policy: (500, 'stable-updates'), (500, 'stable')
>> Architecture: i386 (i686)
>>
>> Kernel: Linux 2.6.32-5-686-bigmem (SMP w/1 CPU core)
>> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>>
>>

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

David A Aitcheson
In reply to this post by Iain R. Learmonth-2
Iain,

The developers are not building any OS packages at all, also they only
develop for UNIX variants.

The timing is the thing with uscan and the d/watch file; the changes
just happened in the last 3 to 4 days at the most.

Dave


On 09/16/14 07:41, Iain R. Learmonth wrote:

> Hi David,
>
> On Tue, Sep 16, 2014 at 07:31:57AM -0400, David A Aitcheson wrote:
>> Already being worked on; just a few nagging details that need to be
>> fixed in the CVS.
> Brilliant news! Thanks for your work on this.
>
>> Also this release is actually the 2.0.7 version.
> uscan gave 2.0.6 as the latest version. Possibly a problem with the d/watch
> file.
>
>> For BEST results it is strongly suggested that Xastir be installed from
>> CVS and then to update just run the included "update-xastir" script
>> which updates from CVS and automatically does the make and install with
>> very little needed  from the user save for entering a password.
> This does seem to be the case with a lot of ham radio software, but I like
> to keep "local installs" on my system as few as possible.
>
> Is there any particular reason for this with Xastir?
>
> Thanks,
> Iain.
>

--
David A Aitcheson [hidden email] Go Green! Print this email
only when necessary.


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#761837: xastir: Please update to new upstream 2.0.6

Chris Knadle
In reply to this post by David A Aitcheson
On Wednesday, September 17, 2014 08:46:57 Colin Tuckley wrote:
> On 16/09/14 12:31, David A Aitcheson wrote:
> > For BEST results it is strongly suggested that Xastir be installed from
> > CVS and then to update just run the included "update-xastir" script
> > which updates from CVS and automatically does the make and install with
> > very little needed  from the user save for entering a password.
>
> Unfortunately that is not the "Debian Way". If a package is going to be
> in Debian then it needs to follow the Debian protocols regarding
> packaging and updates.

Adding some info for David's comment further above.

Right now Debian is heading for a freeze which is coming November 5th
("remember remember the 5th of November..."), and at that point whatever
version of the package is going to end up in the next "Stable" release
(Jessie) for approximately the next two years and can only get major fixes
during that time.  So right now it's important that any version uploaded to
Debian be a potential "long term support" release.

  -- Chris

--

Chris Knadle
[hidden email]


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]